using Avalonia.Controls;
using Avalonia.Interactivity;
using System;
using AquaCare.View;

namespace AquaCare.View
{
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void buttonPflegeClick(object? sender, RoutedEventArgs e)
        {
            var pflegeWindow = new PflegeWindow();
            pflegeWindow.ShowDialog(this);
        }

        private void buttonWerteClick(object? sender, RoutedEventArgs e)
        {
            var werteWindow = new WerteWindow(); // Neues Werte-Fenster instanziieren
            werteWindow.ShowDialog(this); // Fenster als Dialog öffnen
        }

        private void buttonTutorialsClick(object? sender, RoutedEventArgs e)
        {
            var tutorialsWindow = new TutorialsWindow();
            tutorialsWindow.ShowDialog(this); // Dialog für Tutorial-Fenster
        }


        private void buttonEinstellungenClick(object? sender, RoutedEventArgs e)
        {
            var dialog = new Window { Title = "Einstellungen" };
            dialog.ShowDialog(this);
        }

    }
}